
# Please make this file available to others
# by sending it to <winlirc.configs@gmail.com>
#
# this config file was automatically generated
# using lirc-0.9.0(irman) on Sat May  3 10:35:15 2025
#
# contributed by 
#
# brand: Sony
# model no. of remote control: RMT-DSR1
# devices being controlled by this remote: Camera DSR-A700
#

begin remote

  name  DSR-A700
  bits           32
  eps            30
  aeps          100

  one             0     0
  zero            0     0
  pre_data_bits   24
  pre_data       0xFFFF1E
  post_data_bits  8
  post_data      0x18
  gap          45000
  toggle_bit_mask 0x0

      begin codes
          Shutter                  0x3A1E2D00
          2Sec                     0x3A1E3700
          Disp                     0x3A1E1400
          Hist                     0x3A1E1B00
          Index                    0x3A1E2000
          Rotate                   0x3A1E3200
          Play                     0x3A1E3C00
          Menu                     0x3A1E3800
          Up                       0x3A1E3A00
          Down                     0x3A1E3B00
          Left                     0x3A1E3E00
          Right                    0x3A1E3F00
          Del                      0x3A1E3D00
          Print                    0x3A1E1100
          Ok                       0x3A1E3900
          Slide                    0x3A1E4700
          Zoom+                    0x3A1E4A00
          Zoom-                    0x3A1E4B00
      end codes

end remote


